<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  data-namespace-typo3-fluid="true"
>
	<h1>
		<f:translate extensionName="logs" key="filter">filter</f:translate>
	</h1>
	<f:form action="filter" object="{filter}" objectName="filter" style="margin-bottom:15px;" additionalAttributes="{autocomplete: 'off'}">
		<fieldset class="form-section">
			<div class="row">
				<f:render partial="Log/Filter/Fields/Input" arguments="{label: 'filter.request_id', property: 'requestId'}" />
				<f:render partial="Log/Filter/Fields/Input" arguments="{label: 'filter.component', property: 'component'}" />
				<f:render partial="Log/Filter/Fields/DateTime" arguments="{label: 'filter.from_time', property: 'fromTime', object: filter, objectName: 'filter'}" />
				<f:render partial="Log/Filter/Fields/DateTime" arguments="{label: 'filter.to_time', property: 'toTime', object: filter, objectName: 'filter'}" />
			</div>
		</fieldset>
		<fieldset class="form-section">
			<div class="row">
				<f:render partial="Log/Filter/Fields/Input" arguments="{label: 'filter.message', property: 'message'}" />
			</div>
		</fieldset>
		<fieldset class="form-section">
			<div class="row">
				<div class="form-group col-sm-3">
					<label>
						<f:translate extensionName="logs" key="verbosity">verbosity</f:translate>
					</label>
					<div class="checkbox">
						<label for="tx_logs_filter_show_data">
							<f:form.checkbox property="showData" value="1" id="tx_logs_filter_show_data" />
							<f:translate extensionName="logs" key="filter.show_data">show data</f:translate>
						</label>
					</div>
					<div class="checkbox">
						<label for="tx_logs_filter_full_message">
							<f:form.checkbox property="fullMessage" value="1" id="tx_logs_filter_full_message" />
							<f:translate extensionName="logs" key="filter.full_message">crop message</f:translate>
						</label>
					</div>
				</div>
				<div class="form-group col-sm-3">
					<label for="tx_logs_filter_level">
						<f:translate extensionName="logs" key="filter.level">minimum log level</f:translate>
					</label>
					<f:form.select property="level" options="{filter.logLevels}" id="tx_logs_filter_level" class="form-select form-control-adapt" />
				</div>
				<div class="form-group col-sm-6">
					<label for="tx_logs_filter_writers">
						<f:translate extensionName="logs" key="filter.writers">writers</f:translate>
					</label>
					<f:form.select property="writers" options="{filter.availableWriterOptions}" id="tx_logs_filter_writers" class="form-control form-control-adapt" multiple="1"  />
				</div>
			</div>
		</fieldset>
		<fieldset class="form-section">
			<div class="row">
				<div class="form-group col-sm-3">
					<label for="tx_logs_filter_order_field">
						<f:translate extensionName="logs" key="filter.order_field">order field</f:translate>
					</label>
					<f:form.select property="orderField" options="{filter.orderFields}" id="tx_logs_filter_order_field" class="form-select form-control-adapt" />
				</div>
				<div class="form-group col-sm-3">
					<label for="tx_logs_filter_order_direction">
						<f:translate extensionName="logs" key="filter.order_direction">order direction</f:translate>
					</label>
					<f:form.select property="orderDirection" options="{filter.orderDirections}" id="tx_logs_filter_order_direction" class="form-select form-control-adapt" />
				</div>
				<div class="form-group col-sm-3">
					<label for="tx_logs_filter_limit">
						<f:translate extensionName="logs" key="filter.limit">limit</f:translate>
					</label>
					<f:form.textfield property="limit" id="tx_logs_filter_limit" class="form-control form-control-adapt" />
				</div>
			</div>
		</fieldset>
		<fieldset class="form-section">
			<div class="form-group">
				<f:form.submit value="{f:translate(key:'search',default:'search')}" class="btn btn-primary" />
			</div>
		</fieldset>
	</f:form>
</html>
